{ pkgs, inputs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    "${inputs.self}/modules/mizukios/base"
    "${inputs.self}/modules/mizukios/features/system/boot.nix"
    "${inputs.self}/modules/mizukios/features/remote/ssh.nix"
    "${inputs.self}/modules/mizukios/features/management/docker.nix"
  ];

  # 1. 크론 설정
  services.cron = {
    enable = true;
    systemCronJobs = [
      "0 1 * * * imnyang printf '\\n%s : ' \"$(date)\" >> /home/imnyang/codelounge.log && /home/imnyang/codelounge.sh >> /home/imnyang/codelounge.log"
    ];
  };

  services.qemuGuest.enable = true;

  # 2. 사용자 SSH 키 등록
  users.users.imnyang.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOHP3Z+AYrRh9f8TYyqChKfeyNm3lOe0F75AwRHTTaxD imnyang@kazusa"
  ];

  environment.systemPackages = with pkgs; [
    eza
    neovim
    nil
    nixd
  ];

  programs.git.config = {
    safe.directory = "*";
  };

  nix.settings.require-sigs = false;

  networking.firewall.enable = false;

  networking.hostName = "hako";
  system.stateVersion = "26.05";
}
